Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355818 - Swift Proxy service drops when trying to launch instance
Summary: Swift Proxy service drops when trying to launch instance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: beta
: 10.0 (Newton)
Assignee: James Slagle
QA Contact: Mike Abrams
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 15:23 UTC by Raissa Sarmento
Modified: 2016-12-14 15:45 UTC (History)
11 users (show)

Fixed In Version: instack-undercloud-5.0.0-0.20160907134010.649dc3f.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, the swift proxy pipeline was misconfigured, with the consequence that swift memory usage continued to grow until it was killed. With this fix, proxy-logging has been configured earlier in the swift proxy pipeline. As a result, swift memory usage will not grow continuously.
Clone Of:
Environment:
Last Closed: 2016-12-14 15:45:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 336651 None None None 2016-07-19 16:38:28 UTC
Red Hat Bugzilla 1368641 None CLOSED Memory leak in swift used as backend to glance 2019-01-23 07:02:52 UTC
Launchpad 1595916 None None None 2016-07-19 16:34:55 UTC
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Internal Links: 1368641

Description Raissa Sarmento 2016-07-12 15:23:24 UTC
Description of problem:
When trying to launch an instance with a big image (3.7gb), openstack-swift-proxy went to inactive or failed state - everytime. This did not happen as frequently for smaller images - although it often did.


Steps to Reproduce:
1. Deploy Overcloud
2. Check if openstack-swift-proxy is up
3. Upload image with glance (preferably an image with more than 1gb)
4. Start instance launch with image from #3

Actual results:
Instance goes to Error state and openstack-swift-proxy service is down

Expected results:
Instance is launched successfully and openstack-swift-proxy service is still up.

Additional info:
For me, what solved this issue was to remove proxy-logging from the pipeline in swift's proxy-server.conf
- Before:
pipeline = catch_errors healthcheck cache ratelimit tempurl formpost authtoken keystone staticweb proxy-logging proxy-server
- After:
pipeline = catch_errors healthcheck cache ratelimit tempurl formpost authtoken keystone staticweb proxy-server

Package Versions:
openstack-puppet-modules-8.1.2-1.el7ost.noarch
openstack-tripleo-0.0.8-0.2.d81bd6dgit.el7ost.noarch
openstack-tripleo-common-2.0.0-6.el7ost.noarch
openstack-tripleo-heat-templates-2.0.0-14.el7ost.noarch
openstack-tripleo-heat-templates-kilo-2.0.0-14.el7ost.noarch
openstack-tripleo-heat-templates-liberty-2.0.0-14.el7ost.noarch
openstack-tripleo-image-elements-0.9.9-6.el7ost.noarch
openstack-tripleo-puppet-elements-2.0.0-3.el7ost.noarch
puppet-3.6.2-2.el7.noarch                              
python-tripleoclient-2.0.0-1.0.5.el7ost.noarch

Comment 3 Raissa Sarmento 2016-07-19 16:40:33 UTC
Bug was addressed and fixed upstream - backported to mitaka and liberty

Comment 5 Elise Gafford 2016-08-18 15:10:30 UTC
This bug was reportedly fixed in master; moving to POST state rather than NEW, as it will automatically be included in RHOS 10.

Comment 12 errata-xmlrpc 2016-12-14 15:45:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.